%define url_ver %(echo %{version} | cut -d. -f1,2)

%define oname		gnome-keyring

%define lib_major	0
%define gir_major	1.0
%define libname		%mklibname %{oname} %{lib_major}
%define libnamedev	%mklibname -d %{oname}
%define girname		%mklibname %{oname}-gir %{gir_major}

Summary:	Keyring library for the GNOME desktop
Name:		libgnome-keyring
Version:	3.10.1
Release:	%mkrel 2
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/
License:	LGPLv2+
Group:		Networking/Remote access
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala-tools
BuildRequires:	vala-devel
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	intltool

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package i18n
Group:		System/Libraries
Summary:	Localization data files for %{name}
BuildArch:	noarch

%description i18n
This package contains the translations for %{name}.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system
Requires:	%{name}-i18n >= %{version}-%{release}
Suggests:	gnome-keyring

%description -n %{libname}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Library for integration with the gnome keyring system
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}libgnome-keyring0-devel

%description -n %{libnamedev}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-introspection=yes
%make

%install
%makeinstall_std

find %buildroot -name '*.la' | xargs rm

%find_lang %{name}

%files i18n -f %name.lang

%files -n %{libname}
%{_libdir}/libgnome-keyring.so.%{lib_major}*

%files -n %{libnamedev}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/gnome-keyring
%{_libdir}/libgnome-keyring.so
%{_includedir}/gnome-keyring-1
%{_libdir}/pkgconfig/gnome-keyring-1.pc
%{_datadir}/vala/*
%{_datadir}/gir-1.0/GnomeKeyring-%{gir_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/GnomeKeyring-%{gir_major}.typelib


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 546086
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 502139
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484464
- new version 3.10.0

* Sun Aug 04 2013 fwang <fwang> 3.9.1-2.mga4
+ Revision: 463250
- br vala-devel
- do not use vala pkgconfig

* Fri Jul 26 2013 dams <dams> 3.9.1-1.mga4
+ Revision: 458161
- new version 3.9.1
- add vala as BR
- clean and update %%files

* Fri May 24 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 426162
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 357237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297609
- new version 3.6.0

* Fri Aug 17 2012 ovitters <ovitters> 3.5.6-1.mga3
+ Revision: 281811
- new version 3.5.6

* Wed Aug 08 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 280013
- new version 3.5.4

* Thu Jul 19 2012 ovitters <ovitters> 3.5.3-2.mga3
+ Revision: 272701
- i18n is noarch

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264511
- new version 3.5.3

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231039
- new version 3.4.1

  + yochenhsieh <yochenhsieh>
    - Change Requires gnome-keyring to Suggests (for minimal install)

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226607
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224309
- new version 3.3.92

* Fri Mar 09 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 222042
- new version 3.3.91

* Sat Feb 04 2012 wally <wally> 3.3.5-1.mga2
+ Revision: 204446
- enable inrospection support

  + fwang <fwang>
    - new version 3.3.5

* Mon Jan 16 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 196955
- new version 3.3.4

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184373
- new version 3.3.3
- clean .spec a bit

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167757
- new version 3.2.2

* Sun Sep 25 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 147794
- new version 3.2.0

* Sun Sep 18 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 144920
- new version 3.1.92

* Thu Sep 15 2011 fwang <fwang> 3.1.90-2.mga2
+ Revision: 143798
- drop .la files

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136709
- new version 3.1.90

  + wally <wally>
    - new version 3.1.4

* Mon Jul 11 2011 wally <wally> 3.1.1-1.mga2
+ Revision: 122375
- new version 3.1.1
- clean .spec a bit

* Wed Jun 22 2011 dmorgan <dmorgan> 3.0.3-1.mga2
+ Revision: 112390
- New version 3.0.3

* Thu Jan 13 2011 dmorgan <dmorgan> 2.32.0-1.mga1
+ Revision: 7827
- imported package libgnome-keyring


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581611
- update to new version 2.32.0

* Mon Sep 13 2010 Funda Wang <fwang@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 577846
- new version 2.31.92

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574607
- new version
- drop patch 0

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-4mdv2010.1
+ Revision: 548612
- Patch0 (GIT): fix crash in threading (GNOME bug #616512) (GIT)

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.1-3mdv2010.1
+ Revision: 540419
- rebuild so that shared libraries are properly stripped again
- rebuild so that shared libraries are properly stripped again

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539444
- update to new version 2.30.1

* Wed Mar 31 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 530223
- new version
- add translations
- drop patch, it is fixed upstream

* Sat Feb 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-4mdv2010.1
+ Revision: 505509
- fix assertation failure in empathy (bug #54291)

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.29.4-3mdv2010.1
+ Revision: 481228
- fix devel deps

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.29.4-2mdv2010.1
+ Revision: 481215
- fix dep (bug #56586)

* Mon Dec 21 2009 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 480981
- new version
- drop patch
- update file list
- update build deps

* Mon Dec 14 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 478590
- new version
- regenerate libtool

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 460930
- new version
- drop patch

* Mon Oct 05 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0-3mdv2010.0
+ Revision: 454049
- Patch1 (vuntz): fix 10s timeout at logout (GNOME bug #595698)

* Wed Sep 30 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0-2mdv2010.0
+ Revision: 451795
- Disable ACL prompts, they are more confusing than anything

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446733
- update to new version 2.28.0
- update build deps

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 439071
- new version
- fix linking

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414391
- update to new version 2.27.90

* Mon Jul 27 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 400788
- update to new version 2.27.5

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395678
- update to new version 2.27.4

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.26.3-1mdv2010.0
+ Revision: 390726
- update to new version 2.26.3

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366983
- new version
- drop patch

* Thu Apr 02 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 363504
- fix hanging ssh-agent (upstream bug #575247)
- remove all build workarounds
- spec fixes

* Sat Mar 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355139
- new version
- update build deps

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347290
- update to new version 2.25.92

* Sat Feb 14 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 340324
- update to new version 2.25.91

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336659
- new version
- drop patch
- update file list

  + Funda Wang <fwang@mandriva.org>
    - drop static lib
    - use system libtool
    - Partial fix linkage

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 331621
- new version
- disable --no-undefined
- update file list

* Fri Jan 09 2009 Götz Waschk <waschk@mandriva.org> 2.25.4.2-1mdv2009.1
+ Revision: 327381
- update to new version 2.25.4.2

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4.1-1mdv2009.1
+ Revision: 325242
- update to new version 2.25.4.1

* Mon Jan 05 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 324946
- update to new version 2.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 315883
- new version
- update file list

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299938
- update to new version 2.25.1

* Sun Oct 19 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295218
- update to new version 2.24.1

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286289
- fix build deps
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282460
- new version

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 279783
- new version
- drop patch

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273785
- fix build deps
- new version
- fix build
- update file list

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 262939
- new version

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240069
- new version
- update file list

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230367
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211558
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192453
- new version
- drop patch

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 191700
- Patch0 (SVN): fix daemon startup through dbus (GNOME bug #522253)

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183037
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 174579
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165742
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159441
- new version

* Fri Jan 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-2mdv2008.1
+ Revision: 154728
- Fix the way pam module is installed and don't install .la file for it

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 151325
- new version
- add gconf schema

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 130172
- new version
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 2.21.3.2-1mdv2008.1
+ Revision: 115659
- new version

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 2.21.3.1-1mdv2008.1
+ Revision: 115621
- new version
- update file list

* Mon Dec 03 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 114601
- new version
- drop patch
- update buildrequires
- update file list

* Mon Dec 03 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-2mdv2008.1
+ Revision: 114531
- fix environment in the pam module

* Sun Nov 25 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 111863
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98576
- new version
- update file list

* Wed Sep 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 90415
- new version
- new version

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71579
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 62967
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6.1-2mdv2008.0
+ Revision: 56619
- fix buildrequires

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6.1-1mdv2008.0
+ Revision: 56586
- new version
- fix installation
- new version
- add pam module

* Sat Jul 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 49369
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.4.1-1mdv2008.0
+ Revision: 40993
- new version

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 40610
- new version
- update file list

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-2mdv2008.0
+ Revision: 36055
- fix buildrequires
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 13824
- new version

